package com.zcloud.mapper.dsno2.notice;

import java.util.List;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;


/**
 * 说明： 通知公告Mapper
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 * @version
 */
public interface ServiceNoticeMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> applistAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);
	PageData listCountBYBasicinfoID(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	void saveNotAndCorp(PageData pd);
	void delteNotAndCorpByNotId (PageData pd);
	List<PageData> getNotAndCorpByNotId(PageData pd);

	List<PageData> getNotAndCorpByCorpId(PageData pd);
	/**
	 *  统计查看通过企业信息
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> getTypeCountByNotId (Page page);
	/**
	 *  修改阅读状态
	 * @param page
	 * @throws Exception
	 */
	void editCorpInfo (PageData pd);

	/** 获取关系表信息
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findNoticeCorpInfoById (PageData pd);
	List<PageData> getCorpReadTypelistPage(Page page);

	List<PageData> getCorpReadTypeAlldatalistPage(Page page);
}

